Update a funnel
Scope: crm:funnels.write https://api.alladdin.com/api/v2/funnels/{funnelId}
Updates an existing funnel.
Parameters
Path parameters
funnelId string required
Funnel ID
Request body
object name string
Funnel name
stages[] object[]
Funnel stages
id string
Existing stage ID to update
name string
Stage name
description string
Stage description
deal_probability integer
Deal probability percentage
rotting_days integer
Days before a deal is considered rotting
Request
import requests
url = "https://api.alladdin.com/api/v2/funnels/{funnelId}"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Accept": "application/json",
}
payload = {
"name": "string",
"stages": [
{
"id": "507f1f77bcf86cd799439011",
"name": "string",
"description": "string",
"deal_probability": 0,
"rotting_days": 0
}
]
}
response = requests.put(url, headers=headers, json=payload)
print(response.json())Responses
Response
{
"id": "string"
}Success responses
200 Funnel updated application/json object id string
Error responses
400 Bad request application/json 401 Invalid or missing API key application/json 403 Insufficient permissions application/json 404 Funnel not found application/json 422 Validation error application/json 429 Rate limit exceeded application/json
